using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls;

namespace StartMenu
{
    public partial class Form1 : ShapedForm
    {
        RadMenuItem[] rightMenu1;
        RadMenuItem[] rightMenu2;
        RadItem currentItem;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < this.radRibbonBar1.StartMenuItems.Count; i++)
                this.radRibbonBar1.StartMenuItems[i].MouseMove += new MouseEventHandler(Form1_MouseMove);

            this.rightMenu1 = new RadMenuItem[3];
            this.rightMenu1[0] = new RadMenuItem("A");
            this.rightMenu1[0].Click += new EventHandler(Form1_Click);
            this.rightMenu1[1] = new RadMenuItem("B");
            this.rightMenu1[1].Click += new EventHandler(Form1_Click);
            this.rightMenu1[2] = new RadMenuItem("C");
            this.rightMenu1[2].Click += new EventHandler(Form1_Click);

            this.rightMenu2 = new RadMenuItem[3];
            this.rightMenu2[0] = new RadMenuItem("1");
            this.rightMenu2[0].Click += new EventHandler(Form1_Click);
            this.rightMenu2[1] = new RadMenuItem("2");
            this.rightMenu2[1].Click += new EventHandler(Form1_Click);
            this.rightMenu2[2] = new RadMenuItem("3");
            this.rightMenu2[2].Click += new EventHandler(Form1_Click);
        }
        
        void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            if (this.radRibbonBar1.StartMenuItems[0] == sender)
            {
                if (currentItem != this.radRibbonBar1.StartMenuItems[0])
                {
                    currentItem = this.radRibbonBar1.StartMenuItems[0];
                    this.radRibbonBar1.StartMenuRightColumnItems.Clear();
                    foreach (RadMenuItem item in rightMenu1)
                        this.radRibbonBar1.StartMenuRightColumnItems.Add(item);
                }
            }
            else if (this.radRibbonBar1.StartMenuItems[1] == sender)
            {
                if (currentItem != this.radRibbonBar1.StartMenuItems[1])
                {
                    currentItem = this.radRibbonBar1.StartMenuItems[1];
                    this.radRibbonBar1.StartMenuRightColumnItems.Clear();
                    foreach (RadMenuItem item in rightMenu2)
                        this.radRibbonBar1.StartMenuRightColumnItems.Add(item);
                }
            }
            else
            {
                if (currentItem == this.radRibbonBar1.StartMenuItems[0] ||
                    currentItem == this.radRibbonBar1.StartMenuItems[1])
                {
                    this.radRibbonBar1.StartMenuRightColumnItems.Clear();
                }
                currentItem = (RadItem)sender;
            }
        }

        void Form1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Feature not implemented!");
        }
    }
}